Subject: Re: bug#7789: cannot send smtpmail using gmail & tls on woe32

From: Sam Steingold <[email-masked]>
Date: Wed, 5 Jan 2011 12:55:06 -0500

On Wed, Jan 5, 2011 at 11:16 AM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Wed, 5 Jan 2011 10:05:59 -0500
>> From: Sam Steingold <[email-masked]>
>>
>> GNU Emacs 23.2.1 (i386-mingw-nt5.2.3790)
>>  of 2010-05-08 on G41R2F1
>> --with-gcc (3.4) --no-opt --cflags -Ic:/xpm/include
>>
>> I followed the instructions on how to send smtp mail using emacs and gmail:
>> http://obfuscatedcode.wordpress.com/2007/04/26/configuring-emacs-for-gmails-smtp/
>> it works with the latest bzr emacs on ubuntu just fine, but does not
>> work on woe32.
>
> smtpmail works perfectly for me on MS-Windows, but I don't use tls.
>
> What port of gnutls did you use?

native win32 port.

> Also, if you set smtpmail-debug-info non-nil, what do you see in the
> buffer named "*trace of SMTP session to <somewhere>*" after the
> connection attempt times out?

Resolving 'smtp.gmail.com'...
Connecting to '74.125.113.109:587'...

- Simple Client Mode:

NOTE: you should run 'diskperf -y' to enable the disk statistics
NOTE: you should run 'diskperf -y' to enable the disk statistics
NOTE: you should run 'diskperf -y' to enable the disk statistics
NOTE: you should run 'diskperf -y' to enable the disk statistics
NOTE: you should run 'diskperf -y' to enable the disk statistics
220 mx.google.com ESMTP e10sm2834564vch.19
451 4.4.2 Timeout - closing connection. q5sm4981221vcr.39
- Peer has closed the GnuTLS connection

Process SMTP finished

> Maybe also post here the setup on your .emacs for using smtpmail
> (although I doubt that this is the culprit).

smtpmail-auth-credentials
=> "~/.netrc"

(custom-set-variables
 '(smtpmail-smtp-service 587)
 '(smtpmail-default-smtp-server "smtp.gmail.com")
 '(smtpmail-starttls-credentials
   `((,smtpmail-default-smtp-server ,smtpmail-smtp-service nil nil))))

-- 
Sam Steingold <http://sds.podval.org>